/**
 * 定义并导出智能设备模型
 */
import { SmartDeviceModel } from '@ray-js/panel-sdk';
import { SmartDeviceSchema } from 'typings/sdm';

// SmartDevices 定义来自于 typings/sdm.d.ts，非 TypeScript 开发者可忽略
export const devices = {
  /**
   * 此处建议以智能设备的名称作为键名赋值
   */
  robot: new SmartDeviceModel<SmartDeviceSchema>(),
};

Object.keys(devices).forEach((k: keyof typeof devices) => {
  devices[k].init();
});