/**
 * 当前智能设备 DP 功能点描述
 */
export const robotSchema = [
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "temp_current",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dp_c",
        "id": 1,
        "mode": "ro",
        "name": "室内当前温度",
        "property": {
            "unit": "℃",
            "min": -500,
            "max": 700,
            "scale": 1,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "humidity_value",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-shidu",
        "id": 2,
        "mode": "ro",
        "name": "室内当前湿度",
        "property": {
            "unit": "%",
            "min": 1,
            "max": 99,
            "scale": 0,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1152,
        "canTrigger": true,
        "code": "temp_unit_convert",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dp_mode",
        "id": 9,
        "mode": "rw",
        "name": "温标切换",
        "property": {
            "range": [
                "c",
                "f"
            ],
            "type": "enum"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "clock_set",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dp_time3",
        "id": 14,
        "mode": "rw",
        "name": "闹钟设置",
        "property": {
            "type": "raw",
            "maxlen": 255
        },
        "type": "raw"
    },
    {
        "attr": 1152,
        "canTrigger": true,
        "code": "time_mode",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-timer",
        "id": 18,
        "mode": "rw",
        "name": "时间制",
        "property": {
            "range": [
                "12h",
                "24h"
            ],
            "type": "enum"
        },
        "type": "obj"
    },
    {
        "attr": 1152,
        "canTrigger": true,
        "code": "backlight_enum",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-liangdu",
        "id": 19,
        "mode": "rw",
        "name": "背光亮度",
        "property": {
            "range": [
                "closed",
                "low",
                "middle",
                "high"
            ],
            "type": "enum"
        },
        "type": "obj"
    },
    {
        "attr": 1152,
        "canTrigger": true,
        "code": "battery_state_1",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dianliang",
        "id": 31,
        "mode": "ro",
        "name": "ch1电池电量",
        "property": {
            "range": [
                "low",
                "middle",
                "high"
            ],
            "type": "enum"
        },
        "type": "obj"
    },
    {
        "attr": 1152,
        "canTrigger": true,
        "code": "battery_state_2",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dianliang",
        "id": 32,
        "mode": "ro",
        "name": "ch2电池电量",
        "property": {
            "range": [
                "low",
                "middle",
                "high"
            ],
            "type": "enum"
        },
        "type": "obj"
    },
    {
        "attr": 1152,
        "canTrigger": true,
        "code": "battery_state_3",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dianliang",
        "id": 33,
        "mode": "ro",
        "name": "ch3电池电量",
        "property": {
            "range": [
                "low",
                "middle",
                "high"
            ],
            "type": "enum"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "temp_current_external_1",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-wendu2",
        "id": 40,
        "mode": "ro",
        "name": "CH1当前温度",
        "property": {
            "unit": "℃",
            "min": -500,
            "max": 700,
            "scale": 1,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "humidity_outdoor_1",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dp_wet",
        "id": 41,
        "mode": "ro",
        "name": "CH1当前湿度",
        "property": {
            "unit": "%",
            "min": 1,
            "max": 99,
            "scale": 0,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "temp_current_external_2",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-wendu2",
        "id": 42,
        "mode": "ro",
        "name": "CH2当前温度",
        "property": {
            "unit": "℃",
            "min": -500,
            "max": 700,
            "scale": 1,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "humidity_outdoor_2",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dp_wet",
        "id": 43,
        "mode": "ro",
        "name": "CH2当前湿度",
        "property": {
            "unit": "%",
            "min": 1,
            "max": 99,
            "scale": 0,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "temp_current_external_3",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-wendu2",
        "id": 44,
        "mode": "ro",
        "name": "CH3当前温度",
        "property": {
            "unit": "℃",
            "min": -500,
            "max": 700,
            "scale": 1,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    },
    {
        "attr": 1280,
        "canTrigger": true,
        "code": "humidity_outdoor_3",
        "defaultRecommend": false,
        "editPermission": true,
        "executable": true,
        "extContent": "",
        "iconname": "icon-dp_wet2",
        "id": 45,
        "mode": "ro",
        "name": "CH3当前湿度",
        "property": {
            "unit": "%",
            "min": 1,
            "max": 99,
            "scale": 0,
            "step": 1,
            "type": "value"
        },
        "type": "obj"
    }
] as const;